FileControllerSetPrivileges Method

PUT /File/Privileges/{id} Updates a file's privileges.

Namespace:  Dundas.BI.WebApi.Controllers
Assembly:  Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (9.0.0.1000)
Syntax
[HttpPutAttribute]
[ActionNameAttribute("Privileges")]
public HttpResponseMessage SetPrivileges(
	Guid id,
	[FromBodyAttribute] SetPrivilegesOptions options,
	Nullable<Guid> sessionId = null
)

Parameters

id
Type: SystemGuid
The ID of the entry to set the privileges on.
options
Type: Dundas.BI.WebApi.ModelsSetPrivilegesOptions
An object that carries all needed information about the new privileges.
sessionId (Optional)
Type: SystemNullableGuid
Current session ID.

Return Value

Type: HttpResponseMessage
Status code indicating success or a reason for operation failure.
See Also